%define name tt-rss
%define commit 0
%define version 1.7.8
%define rel 1

%if "%{commit}" != "0"
%define tarball %{commit}.zip
%define distname Tiny-Tiny-RSS-%{commit}
%define release %mkrel 0.%{commit}.%{rel}
%else
%define tarball %{version}.tar.gz
%define distname Tiny-Tiny-RSS-%{version}
%define release %mkrel %{rel}
%endif

%define _requires_exceptions pear(register_expire_do.php)

Summary:	Tiny Tiny RSS: web-based news feed (RSS/Atom) reader and aggregator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	https://github.com/gothfox/Tiny-Tiny-RSS/archive/%{tarball}
Patch0:		Tiny-Tiny-RSS-1.7.6-configpath.patch
License:	GPLv2
Group:		System/Servers
Url:		http://tt-rss.org/
BuildArch:	noarch
Conflicts:	php-suhosin < 0.9.34-0.0.git1fba865.4

%description
Tiny Tiny RSS is an open source web-based news feed (RSS/Atom) reader
and aggregator, designed to allow you to read news from any location,
while feeling as close to a real desktop application as possible.

%prep
%setup -q -n %{distname}
%apply_patches
find -name '*.00*' | xargs -r rm

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a * %{buildroot}%{_datadir}/%{name}

install -d -m0700 %{buildroot}%{_localstatedir}/lib/%{name}
for d in cache feed-icons lock; do
    mv %{buildroot}%{_datadir}/%{name}/$d %{buildroot}%{_localstatedir}/lib/%{name}
    ln -s %{_localstatedir}/lib/%{name}/$d %{buildroot}%{_datadir}/%{name}/$d
done

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
ln -s %{_sysconfdir}/%{name}/config.php %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# gitweb configuration
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Require all granted
</Directory>
EOF

%files
%{_webappconfdir}/%{name}.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
%attr(0700,apache,apache) %dir %{_sysconfdir}/%{name}


%changelog

* Sun Apr 07 2013 blino <blino> 1.7.8-1.mga3
+ Revision: 408994
- 1.7.8

* Sun Mar 31 2013 blino <blino> 1.7.6-0.842c2ab4511d4feb65f295340137aebf424523a3.1.mga3
+ Revision: 406818
- conflict with older php-suhosin having session handling bugs
- move cache/lock/icons dir in /var/lib instead of data dir
- use config file in /etc/tt-rss instead of data dir
- initial import (pre 1.7.6 with easy installer)
- Created package structure for tt-rss.

